#
# spec file for package autofs4 (Version 4.0.0pre10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  nfs-utils
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg nfs-utils pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         autofs4
Conflicts:    autofs
Copyright:    GPL, 1997-2000 Transmeta Corporation
Group:        System Environment/Daemons
Autoreqprov:  on
Version:      4.0.0pre10
Release:      88
Summary:      A kernel-based automounter version 4
BuildRoot:    /var/tmp/autofs-root
Source:       autofs-4.0.0pre10.tar.bz2
Patch:        autofs-4.0.0pre10.dif
Patch1:       autofs-4.0.0pre10-ia64.diff
Source1:      rc.config.autofs
Source2:      rc.config.d.autofs

%description
autofs4 is a kernel-based automounter for Linux.  It is still under
development, although the features currently implemented seem to work
well.  There is not anywhere near enough documentation available yet;
help in getting some written would be appreciated. This package
replaces the amd package.
If you want to use this package, you have to make an alias in the
file /etc/modules.conf from autofs to autofs4.

Authors:
--------
    H. Peter Anvin <hpa@transmeta.com>
    Jeremy Fitzhardinge <jeremy@goop.org>

SuSE series: n

%prep
%setup -n autofs-%{PACKAGE_VERSION}
%patch
%patch1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --mandir=%{_mandir} %{_target_cpu}-suse-linux
CFLAGS="$RPM_OPT_FLAGS" make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/lib/autofs
mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man5,man8}
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
make install INSTALLROOT=$RPM_BUILD_ROOT
make install_samples INSTALLROOT=$RPM_BUILD_ROOT
chmod 755 $RPM_BUILD_ROOT/usr/lib/autofs/*.so
install -m 744 samples/rc.autofs  $RPM_BUILD_ROOT/etc/init.d/autofs
ln -s ../../etc/init.d/autofs $RPM_BUILD_ROOT/usr/sbin/rcautofs
install -m 644 %{S:1} $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.autofs
install -m 644 %{S:2} $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.d.autofs
SHOWMOUNT=/usr/sbin/showmount
test -x /usr/sbin/kshowmount && SHOWMOUNT=/usr/sbin/kshowmount
install -m 755 $SHOWMOUNT $RPM_BUILD_ROOT/usr/lib/autofs/showmount

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
    if ! [ -d etc/rc.config.d ] ; then
	mkdir -p etc/rc.config.d
    fi
    if ! [ -f etc/rc.config.d/autofs.rc.config ] ; then
	bin/fillup -q -r -i etc/rc.config var/adm/fillup-templates/rc.config.d.autofs etc/rc.config.d/autofs.rc.config
	mv etc/rc.config.new etc/rc.config
    else
	bin/fillup -q etc/rc.config.d/autofs.rc.config var/adm/fillup-templates/rc.config.d.autofs
    fi
    bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.autofs
else
    echo "ERROR: fillup not found. This should not happen. Please compare"
    echo "etc/rc.config and var/adm/fillup-templates/rc.config.autofs and "
    echo "update by hand."
fi
sbin/insserv etc/init.d/autofs

%postun
sbin/insserv etc/init.d/

%files
/var/adm/fillup-templates/rc.config.autofs
/var/adm/fillup-templates/rc.config.d.autofs
%config(noreplace) /etc/auto.master
%config(noreplace) /etc/auto.misc
%config(noreplace) /etc/auto.net
%config /etc/init.d/autofs
/usr/sbin/rcautofs
%doc COPYING COPYRIGHT NEWS README README.changer README.options README.smbfs TODO
/usr/lib/autofs/
%doc %{_mandir}/man5/*
%doc %{_mandir}/man8/*
/usr/sbin/automount

%changelog -n autofs4
* Thu Sep 06 2001 - kukuk@suse.de
- Use $network, $syslog and add $remote_fs [Bug #9908]
* Wed Sep 05 2001 - bjacke@suse.de
- correct name of autosf.rc.config
* Fri Aug 31 2001 - arvin@suse.de
- ignore direct maps (bug #9978)
* Mon Jul 30 2001 - arvin@suse.de
- read /etc/rc.config.d/autofs.rc.config in init script
* Mon Jul 30 2001 - arvin@suse.de
- create /etc/rc.config.d/autofs.rc.config (bug #9471)
* Mon Jul 23 2001 - arvin@suse.de
- LSB compliant init script (bug #8973)
- files and executable maps for nis and nisplus (bug #8984)
* Wed May 16 2001 - arvin@suse.de
- fixed compile warnings on ia64
* Mon Apr 30 2001 - arvin@suse.de
- unset PS_PERSONALITY and CMD_ENV in init script (fix for
  bug #7436)
* Sun Apr 22 2001 - arvin@suse.de
- update to autofs 4.0.0pre10
* Wed Apr 18 2001 - arvin@suse.de
- increased blocksize to 8k in auto.net
* Tue Apr 17 2001 - arvin@suse.de
- remove old provides
* Tue Apr 17 2001 - arvin@suse.de
- renamed package to autofs4 (no provides or obsoletes, since
  autofs version 3 will be used by default)
* Mon Apr 09 2001 - arvin@suse.de
- fixed restart function in init script
* Fri Mar 09 2001 - arvin@suse.de
- added note in /etc/auto.master (bug #6660)
- use test -x instead of test -e in init script
* Thu Mar 01 2001 - ro@suse.de
- fixed neededforbuild
* Tue Feb 13 2001 - arvin@suse.de
- fixed killing of processes using autofs during shutdown
* Fri Jan 12 2001 - arvin@suse.de
- changed start point in init script (fix for bug #5622)
* Tue Jan 02 2001 - arvin@suse.de
- clear mountoptions in loop for reading auto.master in init script
* Tue Nov 28 2000 - arvin@suse.de
- kill processes using automounted filesystems when going
  into runlevel 0 or 6
* Mon Nov 27 2000 - arvin@suse.de
- moved init script from /sbin/init.d to /etc/init.d
* Wed Nov 22 2000 - arvin@suse.de
- use insserv in post-install for creating init.d scripts
- fixed parsing of "--timeout" option in /etc/auto.master,
  partly fix for bug #4356
* Wed Nov 08 2000 - arvin@suse.de
- turned off debug messages to syslogd
* Thu Nov 02 2000 - arvin@suse.de
- added option nonstrict in auto.net
* Thu Nov 02 2000 - arvin@suse.de
- new version 4.0.0pre9
* Tue Oct 24 2000 - arvin@suse.de
- new version 4.0.0pre8
* Tue Oct 24 2000 - bk@suse.de
- remove the annoying dequote debug message(filled the logs without errors)
* Mon Oct 16 2000 - ro@suse.de
- showmount does no longer have the k-prefix
* Fri Oct 06 2000 - schwab@suse.de
- Avoid OPEN_MAX.
* Wed Sep 27 2000 - arvin@suse.de
- even more improved auto.net
* Tue Sep 26 2000 - arvin@suse.de
- improved auto.net
- changed to bz2 source archive
* Thu Sep 21 2000 - arvin@suse.de
- fixed rcautofs (some lines in status were truncated)
* Tue Sep 19 2000 - arvin@suse.de
- fixed bug #3842 (wrong option to mount; was actually random data)
* Tue Aug 22 2000 - ro@suse.de
- changed neededforbuild: knfsd -> nfsutils
* Thu Jul 06 2000 - kukuk@suse.de
- Fix path to showmount in /etc/auto.net
* Mon May 08 2000 - rolf@suse.de
- new version 4.0.0pre7
- fix bug in rcautofs [BUG#2737]
* Sat Feb 26 2000 - kukuk@suse.de
- Add patch from beta list for multiple entries
* Tue Feb 15 2000 - kukuk@suse.de
- Include own showmount
- Update to autofs 4.0.0pre6
* Sun Jan 30 2000 - kukuk@suse.de
- Update to autofs 4.0.0pre2
- Add rc.config variable for autofs options (like --timeout)
- Add NIS+ support to /sbin/init.d/autofs
- Mark /etc/auto.* files as %%config(noreplace)
- Add /etc/auto.net (needs new autofs kernel module)
* Fri Nov 05 1999 - rolf@suse.de
- added flag to switch NIS usage for maps [BUG#1074]
* Mon Oct 25 1999 - ro@suse.de
- specfile-fix: no need for %%dir /usr/lib/autofs, if that whole tree
  is packed
* Mon Oct 25 1999 - rolf@suse.de
- status now tells whether process is running [BUG#732]
* Sat Oct 23 1999 - kukuk@suse.de
- Fix problems with new samba 2.0.x versions [BUG#361]
- Fix typos and loop problem
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 22 1999 - kukuk@suse.de
- added lookup_nisplus.so, mount_autofs.so, mount_ext2.so
* Wed Dec 09 1998 - rolf@suse.de
- added /usr/sbin/rcautofs
* Fri Nov 27 1998 - rolf@suse.de
- mount timeout added in init script
* Tue Nov 24 1998 - rolf@suse.de
- new version 3.1.3
- modified init script
- unset localoptions
* Sat Sep 19 1998 - ro@suse.de
- define _GNU_SOURCE where getopt_long is used
* Fri Apr 17 1998 - rolf@suse.de
- set localoptions to rsize=8192,wsize=8192
  cleaned up /etc/auto.misc
* Mon Apr 06 1998 - ro@suse.de
- update to 3.1.0
* Mon Mar 02 1998 - ro@suse.de
- marked startscript and files in etc as config
* Mon Feb 09 1998 - rolf@suse.de
- fixed startup script in /sbin/init.d/ for restart
* Wed Nov 12 1997 - rolf@suse.de
- minor big fix
* Thu Oct 16 1997 - rolf@suse.de
- new version autofs-0.3.14
* Thu Sep 11 1997 - rolf@suse.de
- made package from autofs-0.3.9
